commit:     eb5e3f913f965587150b9604c908f564ae2848e0
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Mon Jun 21 15:59:09 2021 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu Jul  8 09:42:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb5e3f91

sys-libs/lwp: EAPI7, ltprune--

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/21360
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 sys-libs/lwp/lwp-2.8.ebuild | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/sys-libs/lwp/lwp-2.8.ebuild b/sys-libs/lwp/lwp-2.8.ebuild
index 42499946341..fae40ac9989 100644
--- a/sys-libs/lwp/lwp-2.8.ebuild
+++ b/sys-libs/lwp/lwp-2.8.ebuild
@@ -1,8 +1,7 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit ltprune
+EAPI=7
 
 DESCRIPTION="Light-weight process library (used by Coda)"
 HOMEPAGE="http://www.coda.cs.cmu.edu/";
@@ -11,7 +10,6 @@ SRC_URI="http://www.coda.cs.cmu.edu/pub/lwp/src/${P}.tar.xz";
 LICENSE="LGPL-2.1"
 SLOT="1"
 KEYWORDS="~alpha amd64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86"
-IUSE=""
 
 PATCHES=(
        "${FILESDIR}"/${P}-ia64.patch
@@ -23,5 +21,5 @@ src_configure() {
 
 src_install() {
        default
-       prune_libtool_files
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to